## xscreensaver 5.45+dfsg1

=== hacks/images/Makefile ===
# hacks/images/Makefile.in --- xscreensaver, Copyright (c) 2018 Jamie Zawinski.
# the `../configure' script generates `hacks/images/Makefile' from this file.


srcdir		= .
VPATH		= ${srcdir} ${srcdir}/bubbles ${srcdir}/m6502 \
		  ${srcdir}/molecules ${srcdir}/noseguy
top_srcdir	= ../..
UTILS_SRC	= $(top_srcdir)/utils
RM		= rm -f

STAR		= *
TARFILES	= Makefile \
		  Makefile.in \
		  $(STAR).png \
		  $(STAR).gif \
		  $(STAR)/$(STAR).png \
		  $(STAR)/$(STAR).asm \
		  $(STAR)/$(STAR).pdb \
		  $(STAR)/$(STAR).pov \
		  $(STAR)/$(STAR).txt \

PNG_HDRS	= $(shell find $(srcdir) -name \*.png | \
		    sed 's@^.*/\(.*\)\.\(png\)$$@gen/\1_\2.h@')

default: all

all: gen $(PNG_HDRS)

gen:
	mkdir gen

# %.png dependency below works because VPATH contains subdirs
# of 'images' dir not only 'images' itself
gen/%_png.h: %.png
	$(UTILS_SRC)/bin2c "$<" "$@"

clean:
	$(RM) -r gen

distclean:: clean

echo_tarfiles:
	@echo $(TARFILES)

install:
install-program:
install-man:
install-strip:
uninstall:
uninstall-program:
uninstall-man:
depend:
distdepend:
tags:

=== debian/control ===
Source: xscreensaver
Section: x11
Priority: optional
Maintainer: Tormod Volden <debian.tormod@gmail.com>
Build-Depends: debhelper-compat (= 12),
               bc,
               dpkg-dev (>= 1.16.1),
               fortune-mod,
               intltool,
               libcap2-dev [linux-any],
               libgl1-mesa-dev | libgl-dev,
               libgle-dev,
               libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
               libgtk2.0-dev,
               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
               libjpeg-dev,
               libpam0g-dev,
               libpng-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxext-dev,
               libxinerama-dev,
               libxml2-dev,
               libxmu-dev,
               libxrandr-dev,
               libxss-dev,
               libxt-dev,
               libxtst-dev,
               libxxf86vm-dev,
               pkg-config,
               quilt,
               x11proto-core-dev,
               xbitmaps,
               xutils-dev
Standards-Version: 4.5.1
Homepage: https://www.jwz.org/xscreensaver/
Vcs-Browser: https://salsa.debian.org/debian/xscreensaver
Vcs-Git: https://salsa.debian.org/debian/xscreensaver.git
Rules-Requires-Root: no

Package: xscreensaver
Architecture: any
Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: libjpeg-turbo-progs,
          miscfiles | wordlist,
          perl,
          gsfonts-x11 | xfonts-100dpi
Suggests: fortune,
          gdm3 | kdm-gdmcompat,
          qcam | streamer,
          www-browser,
          xdaliclock,
          xfishtank,
          xscreensaver-data-extra,
          xscreensaver-gl,
          xscreensaver-gl-extra
Description: Screensaver daemon and frontend for X11
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package includes the bare minimum needed to blank and lock your
 screen. Install this package if you want to use the xscreensaver engine
 to control screen blanking and launching display modes ("hacks"). If
 you only want to use other screensaver engines, you don't need to
 install this package.
 .
 The graphical display modes are in the xscreensaver-data,
 xscreensaver-data-extra, xscreensaver-gl and xscreensaver-gl-extra
 packages.

Package: xscreensaver-data
Architecture: any
Depends: libwww-perl, ${misc:Depends}, ${shlibs:Depends}
Suggests: xscreensaver
Description: Screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains a small selection of graphical screen saver
 modules (listed below) from the xscreensaver collection. This package
 can be used by xscreensaver and also some other screensaver engines.
 .
 This is the selected set of non-GL screensavers shipped by default:
 abstractile, binaryring, cwaves, deco, distort, fiberlamp, fuzzyflakes,
 galaxy, hexadrop, m6502, metaballs, penrose, ripples, scooter,
 shadebobs, slidescreen, swirl, tessellimage, xlyap.
 .
 More display modes can be found in xscreensaver-data-extra,
 xscreensaver-gl and xscreensaver-gl-extra packages.

Package: xscreensaver-data-extra
Architecture: any
Depends: dictionaries-common,
         libjpeg-turbo-progs,
         netpbm,
         xscreensaver-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains the rest of the 2D screen saver modules from
 the xscreensaver collection. This package can be used by
 xscreensaver and also some other screensaver engines.
 .
 This is the set of non-GL screensavers not shipped by default:
 anemone, anemotaxis, apollonian, apple2, attraction, barcode,
 blaster, blitspin, bouboule, boxfit, braid, bumps, ccurve, celtic,
 cloudlife, compass, coral, crystal, cynosure, decayscreen, deluxe,
 demon, discrete, drift, epicycle, eruption, euler2d, fadeplot,
 filmleader, fireworkx, flame, flow, fluidballs, fontglide, glitchpeg,
 goop, grav, greynetic, halftone, halo, helix, hopalong, ifs, imsmap,
 interaggregate, interference, intermomentary, julia, kaleidescope,
 kumppa, lcdscrub, ljlatest, loop, maze, memscroller, moire2, moire,
 mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
 phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
 rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
 squiral, starfish, strange, substrate, thornbird, triangle, truchet,
 twang, vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp,
 wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph,
 zoom.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-gl and xscreensaver-gl-extra packages.

Package: xscreensaver-gl
Architecture: any
Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
Suggests: xscreensaver
Description: GL(Mesa) screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains a small selection of 3D (OpenGL) screen saver
 modules from the xscreensaver collection. This package can be used by
 xscreensaver and also some other screensaver engines.
 .
 This is the set of GL screensavers shipped by default:
 antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d, circuit,
 cityring, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
 dymaxionmap, endgame, energystream, engine, esper, etruscanvenus,
 flipflop, flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears,
 gflux, gibson, glblur, glcells, gleidescope, glknots, glmatrix,
 glschool, glslideshow, glsnake, gltext, headroom, hexstrut, hydrostat,
 hypertorus, jigglypuff, kaleidocycle, lavalite, lockward, maze3d,
 mirrorblob, moebius, moebiusgears, molecule, morph3d, peepers, pipes,
 polyhedra, polytopes, projectiveplane, pulsar, quasicrystal, queens,
 raverhoop, razzledazzle, romanboy, sierpinski3d, sonar, sphereeversion,
 spheremonics, splitflap, splodesic, stonerview, superquadrics,
 topblock, unicrud, vigilance, voronoi, winduprobot.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-data-extra and xscreensaver-gl-extra packages.

Package: xscreensaver-gl-extra
Architecture: any
Depends: xscreensaver-gl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra GL(Mesa) screen saver modules for screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains the rest of the 3D (OpenGL) screen saver
 modules from the xscreensaver collection. This package can be used by
 xscreensaver and also some other screensaver engines.
 .
 This is the set of GL screensavers not shipped by default with
 xscreensaver-gl:
 antmaze, atlantis, blocktube, boing, bouncingcow, boxed, cage,
 carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid,
 dangerball, deepstars, extrusion, fliptext, flurry, gravitywell, glhanoi,
 glplanet, handsy, hilbert, hypnowheel, jigsaw, juggler3d, klein, lament,
 menger, noof, photopile, pinion, providence, rubik, rubikblocks, sballs,
 skytentacles, sproingies, stairs, starwars, surfaces, tangram, timetunnel,
 tronbit, unknownpleasures.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-data-extra and xscreensaver-gl packages.

Package: xscreensaver-screensaver-webcollage
Architecture: any
Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
Description: Webcollage screen saver module from XScreenSaver
 This package ships the mode webcollage which displays images from random
 web searches on the Internet.
 .
 WARNING: The Internet being what it is, absolutely anything might show up
 in the collage of search results including -- quite possibly -- pornography,
 or even nudity. Please act accordingly.

Package: xscreensaver-screensaver-bsod
Architecture: any
Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
Description: BSOD screen saver module from XScreenSaver
 This package ships the mode BSOD that shows the popular Blue Screens of Death
 from several OSes including BSD, Windows, Linux, Solaris, Apple and much more.
 .
 WARNING: This screensaver could be confused with a real BSOD and could lead an
 user to reboot the machine with consequences like data loss.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xscreensaver, adapted by Larry Daffner from
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
# Modified by Jose Luis Rivas and Tormod Volden and others

# Includes hardening compile options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	# Generate POT file for translators
	cd po && intltool-update --verbose -p && cd ..

	# These are for some reason in the upstream tarball, preserve them
	[ -f driver/XScreenSaver_ad.h.upstream ] || \
	  [ ! -f driver/XScreenSaver_ad.h ] || \
	    mv driver/XScreenSaver_ad.h driver/XScreenSaver_ad.h.upstream
	[ -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream
	# Configure for xscreensaver
	dh_auto_configure -- \
		--without-gl --with-pam --with-gtk --without-kerberos \
		--without-shadow \
		--with-hackdir=/usr/libexec/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--with-login-manager \
		--with-app-defaults=/etc/X11/app-defaults \
		--with-proc-interrupts
	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
	# Configure for xscreensaver-gl
	dh_auto_configure -- \
		--with-gl --with-pam --with-gtk --without-kerberos \
		--without-shadow \
		--with-hackdir=/usr/libexec/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--with-login-manager \
		--with-app-defaults=/etc/X11/app-defaults \
		--with-proc-interrupts

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f driver/XScreenSaver_ad.h.upstream ] || \
	  mv driver/XScreenSaver_ad.h.upstream driver/XScreenSaver_ad.h
	[ ! -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
	  mv driver/XScreenSaver_Xm_ad.h.upstream driver/XScreenSaver_Xm_ad.h
	dh_auto_clean

override_dh_auto_install:
	ln -sf README NEWS
	dh_auto_install -- install_prefix=$(CURDIR)/debian/tmp \
		GTK_DATADIR=/usr/share KDEDIR=/usr
	# Install .desktop files used by gnome-screensaver etc
	mkdir -p debian/tmp/usr/share/applications/screensavers
	cp debian/screensavers-desktop-files/*.desktop \
		debian/tmp/usr/share/applications/screensavers/
	for i in debian/tmp/usr/share/applications/screensavers/*; do \
		cat debian/screensavers-desktop.stub >> $${i}; done
	mv debian/tmp/usr/share/man/man6/xscreensaver-gl-helper.6x \
	   debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
	# Change man header section from 6 to 1
	sed -i '1s/6x/1/' debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
	debian/split-hacks.sh
	# Not built on kfreebsd and hurd
	[ -e debian/tmp/usr/bin/xscreensaver-systemd ] && { \
	  echo "usr/bin/xscreensaver-systemd" ; \
	  echo "usr/share/man/man1/xscreensaver-systemd.1" ; \
	} >> debian/xscreensaver.install
	# Install app-defaults to proper places
	mv debian/tmp/etc/X11/app-defaults/XScreenSaver \
		debian/xscreensaver-gl/etc/X11/app-defaults/XScreenSaver-gl
	install -D -m 644 driver/XScreenSaver.ad-nogl \
		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## xscreensaver 6.02+dfsg1

=== debian/changelog ===
xscreensaver (6.02+dfsg1-2~m19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add libegl1-mesa-dev to build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Jun 2022 14:17:34 -0700

xscreensaver (6.02+dfsg1-2) unstable; urgency=medium

  * Borrow patch from Fedora to fix building "marbling" on arm64

 -- Tormod Volden <debian.tormod@gmail.com>  Sat, 15 Jan 2022 16:40:56 +0100

xscreensaver (6.02+dfsg1-1) unstable; urgency=medium

  * New upstream release 6.02, changes since 5.45:
    - New hacks, `marbling' and `binaryhorizon'.
    - `atlantis' behaviors are more random and lifelike.
    - `headroom' is now Mask Headroom.
    - X11: `fontglide' skips fonts that can't display ASCII.
    - X11: Use asterisks in the password dialog if the system fonts
      don't have bullets in them.
    - X11: "Disable Screen Saver" was behaving like "Blank Screen Only".
    - X11: Properly disable the server's built-in screen saver.
    - X11: The passwdTimeout option was being ignored.
    - X11: The display of the unlock thermometer was weird.
    - X11: Fixed password entry on old-school multi-screen setups (:0.1).
    - X11: Worked around a KDE 5 compositor bug that caused the desktop
          to momentarily become visible when cycling.
    - X11: Fixed possible high CPU usage in `xscreensaver-systemd'.
    - X11: Fixed some spurious warnings in `xscreensaver-text'.
    - X11: Warn when Wayland is in use, since it makes both screen saving
          and locking impossible.
    - X11: Major refactor of the `xscreensaver' daemon for improved
          security, dividing it into three programs: `xscreensaver',
          `xscreensaver-gfx' and `xscreensaver-auth'.
    - X11: Dropped support for systems older than X11R7 (2009).
    - X11: Renamed `xscreensaver-demo' to `xscreensaver-settings'.
    - X11: Unlock dialog has user-selectable color schemes.
    - X11: Everything uses XFreeType for fonts now.
    - X11: Install a few custom fonts needed by some savers.
    - X11: Fading works on systems without gamma (e.g. Raspberry Pi).
    - X11: Use EGL instead of GLX when available.
    - X11: `xscreensaver-systemd' now detects when a video player has
          inhibited screen blanking and then exits without uninhibiting.
    - Improved GLSL and GLES3 support: Phong shading in `etruscanvenus',
          `hypertorus', `klein', `projectiveplane',`romanboy' and
          `sphereeversion'.
    - Updates to `cubicgrid'.
  * Drop patches:
    - 14_fix-updating-outputs-info.patch (obsolete)
    - 21_driver_xscreensaver-getimage-video (applied upstream)
    - 51_generalize_external_commands.patch (applied upstream)
    - 56_password_dialog_reworded.patch (obsolete)
    - 80_Makefile_in-clean-fix.patch (applied upstream)
  * Add debian/patches/08_upstream_man_page_typo.patch
  * Updated desktop files (name and description changes from upstream)
  * Prevent build install failure on hurd and kfreebsd
  * Use upstream configure instead of running autoreconf
    (Closes: #978926)

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 10 Jan 2022 23:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               bc,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Build-Depends: bc,
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1),
                fortune-mod,
                intltool,
                libcap2-dev [linux-any],
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
+               libegl1-mesa-dev,
                libgl1-mesa-dev | libgl-dev,
                libgle-dev,
                libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
                libgtk2.0-dev,
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
                libjpeg-dev,
                libpam0g-dev,
                libpng-dev,
@@ -42,10 +44,10 @@
 Package: xscreensaver
 Architecture: any
 Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libjpeg-turbo-progs,
-          miscfiles | wordlist,
-          perl,
-          gsfonts-x11 | xfonts-100dpi
+Recommends: gsfonts-x11 | xfonts-100dpi,
+            libjpeg-turbo-progs,
+            miscfiles | wordlist,
+            perl
 Suggests: fortune,
           gdm3 | kdm-gdmcompat,
           qcam | streamer,
@@ -82,9 +84,10 @@
  can be used by xscreensaver and also some other screensaver engines.
  .
  This is the selected set of non-GL screensavers shipped by default:
- abstractile, binaryring, cwaves, deco, distort, fiberlamp, fuzzyflakes,
- galaxy, hexadrop, m6502, metaballs, penrose, ripples, scooter,
- shadebobs, slidescreen, swirl, tessellimage, xlyap.
+ abstractile, binaryhorizon, binaryring, cwaves, deco, distort,
+ fiberlamp, fuzzyflakes, galaxy, hexadrop, m6502, marbling, metaballs,
+ penrose, ripples, scooter, shadebobs, slidescreen, swirl,
+ tessellimage, xlyap.
  .
  More display modes can be found in xscreensaver-data-extra,
  xscreensaver-gl and xscreensaver-gl-extra packages.
@@ -113,7 +116,7 @@
  filmleader, fireworkx, flame, flow, fluidballs, fontglide, glitchpeg,
  goop, grav, greynetic, halftone, halo, helix, hopalong, ifs, imsmap,
  interaggregate, interference, intermomentary, julia, kaleidescope,
- kumppa, lcdscrub, ljlatest, loop, maze, memscroller, moire2, moire,
+ kumppa, lcdscrub, loop, maze, memscroller, moire2, moire,
  mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
  phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
  rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
@@ -139,7 +142,7 @@
  .
  This is the set of GL screensavers shipped by default:
  antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d, circuit,
- cityring, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
+ cityflow, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
  dymaxionmap, endgame, energystream, engine, esper, etruscanvenus,
  flipflop, flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears,
  gflux, gibson, glblur, glcells, gleidescope, glknots, glmatrix,

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --without autoreconf
 
 override_dh_auto_configure:
 	# Generate POT file for translators
@@ -27,7 +27,7 @@
 	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
 	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream
 	# Configure for xscreensaver
-	dh_auto_configure -- \
+	./configure --prefix=/usr \
 		--without-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -37,7 +37,7 @@
 		--with-proc-interrupts
 	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
 	# Configure for xscreensaver-gl
-	dh_auto_configure -- \
+	./configure --prefix=/usr \
 		--with-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -64,16 +64,26 @@
 		debian/tmp/usr/share/applications/screensavers/
 	for i in debian/tmp/usr/share/applications/screensavers/*; do \
 		cat debian/screensavers-desktop.stub >> $${i}; done
-	mv debian/tmp/usr/share/man/man6/xscreensaver-gl-helper.6x \
-	   debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
-	# Change man header section from 6 to 1
-	sed -i '1s/6x/1/' debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
+	# Change man section from 6 or 6x to 1
+	for i in xscreensaver-gl-visual \
+		 xscreensaver-getimage \
+		 xscreensaver-getimage-file \
+		 xscreensaver-getimage-video \
+		 xscreensaver-systemd \
+		 xscreensaver-auth \
+		 xscreensaver-gfx \
+		 xscreensaver-text ; \
+	    do \
+	       mv debian/tmp/usr/share/man/man6/$${i}.6* \
+	          debian/tmp/usr/share/man/man1/$${i}.1 ; \
+	       sed -i '1s/6x*/1/' debian/tmp/usr/share/man/man1/$${i}.1 ; \
+	    done
 	debian/split-hacks.sh
 	# Not built on kfreebsd and hurd
-	[ -e debian/tmp/usr/bin/xscreensaver-systemd ] && { \
-	  echo "usr/bin/xscreensaver-systemd" ; \
+	[ -e debian/tmp/usr/libexec/xscreensaver/xscreensaver-systemd ] && { \
+	  echo "usr/libexec/xscreensaver/xscreensaver-systemd" ; \
 	  echo "usr/share/man/man1/xscreensaver-systemd.1" ; \
-	} >> debian/xscreensaver.install
+	} >> debian/xscreensaver.install || true
 	# Install app-defaults to proper places
 	mv debian/tmp/etc/X11/app-defaults/XScreenSaver \
 		debian/xscreensaver-gl/etc/X11/app-defaults/XScreenSaver-gl
@@ -82,3 +92,7 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## xscreensaver 6.06%2Bdfsg1

=== debian/changelog ===
xscreensaver (6.06+dfsg1-2) unstable; urgency=medium

  * Add debian/patches/100_configure_allow_warnings.patch:
    - Fix building on various architectures that have
      no keyboard interrupts info or don't have systemd
  * Remove obsolete build dependency on dpkg-dev (thanks Janitor)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 30 Jan 2023 09:35:10 +0100

xscreensaver (6.06+dfsg1-1) unstable; urgency=medium

  [ Tormod Volden ]
  * New upstream release 6.06, changes since 6.02: (Closes: #1019516)
    - New hacks: hextrail, nakagin, chompytower, squirtorus, mapscroller
    - Retired `thornbird', which is redundant with `discrete'.
    - Adjusted some of the very old hacks, which were written when pixels
      were larger, to be more visible on today's higher rez displays.
    - X11: More robust desktop image grabbing.
    - X11: Various improvements to `xscreensaver-settings'.
    - X11: Silence new Perl warnings from `xscreensaver-getimage-file'.
    - X11: Supports "Lock" messages from systemd, e.g. when logind.conf
      has "HandleLidSwitch=lock" instead of "suspend".
    - X11: Cope with dumb DPMS settings that existed pre-startup.
    - X11: Silence new Perl warnings from `xscreensaver-getimage-file'.
    - X11: Fix `sonar' pthreads crash on recent Pi systems.
    - X11: Removed dependence on `gdk-pixbuf-xlib-2.0'.
    - X11: GTK 3 is now required.
    - Settings dialog shows diagnostics for bad image folders and feeds.
    - URLs for `imageDirectory' can now point at archive.org collections.
    - Sliders for various "Speed" preferences are easier to use.
    - X11: Settings dialog shows saver description below embedded preview.
    - X11: Better behavior when zero monitors are attached.
    - X11: Improvements to inhibiting blanking while videos are playing:
      No longer necessary to hack GNOME and KDE to get them to not usurp
      the org.freedesktop.ScreenSaver endpoint.
    - X11: `unicrud' displays character names.
    - Updated `webcollage'.
    - `sphereeversion' now has corrugation-mode, and can evert the Earth.
    - `glplanet' is higher resolution, and displays time zones.
    - `glslideshow' displays relative pathnames again.
    - X11: fixed `sonar' failing to ping on some Linux systems.
    - X11: Touch-screens work.
    - X11: Hold down Backspace to clear the whole password field.
  * Dropped patches (all applied upstream):
    - 06-upstream-marbling-fix-signedness-for-x86_64-and-aarch64-on-ve.patch
    - 08_upstream_man_page_typo.patch
    - 54_no_dnalogo_hack.patch
  * Add debian/patches/51_generalize_external_commands.patch:
    - Brought back to improve man page display
      Thanks to Aaron Rainbolt for reporting and initial work
  * Add debian/patches/94_allow_unrecognized_conf_opts.patch:
    - Patch the upstream configure so dh_auto_reconf works
  * Add debian/patches/96_nogl-build-for-nogl-config.patch
    - Allow generating the no-GL application defaults file
  * Add debian/patches/98_daemon_desktop_file.patch
    - Base daemon desktop file on upstream's version
  * Exclude non-free fonts from dfsg tarball (Closes: #1028029)
  * Ship xscreensaver-auth setuid (Closes: #1007724)
  * Depend on fonts-urw-base35 instead of gsfonts (Closes: #1020369)
  * Ship the upstream systemd unit file instead of our own
  * Update build dependencies for GL, GTK, GDK libraries
  * Add lintian overrides for false positive warnings

  [ Aaron Rainbolt ]
  * Add free "OCRA A Std" font replacement

 -- Tormod Volden <debian.tormod@gmail.com>  Thu, 26 Jan 2023 23:58:26 +0100

xscreensaver (6.02+dfsg1-3) unstable; urgency=medium

  * Depend on libcap-dev instead of deprecated libcap2-dev
  * Fix cross-building by reinstating dh_auto_configure
    (Closes: #1005956) Thanks Helmut Grohne

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 18 Feb 2022 09:11:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: bc,
-               debhelper-compat (= 12),
-               dpkg-dev (>= 1.16.1),
+Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+               bc,
                fortune-mod,
                intltool,
-               libcap2-dev [linux-any],
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
-               libegl1-mesa-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libcap-dev [linux-any],
+               libgl-dev,
                libgle-dev,
                libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libjpeg-dev,
                libpam0g-dev,
                libpng-dev,
@@ -35,19 +31,19 @@
                x11proto-core-dev,
                xbitmaps,
                xutils-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.jwz.org/xscreensaver/
 Vcs-Browser: https://salsa.debian.org/debian/xscreensaver
 Vcs-Git: https://salsa.debian.org/debian/xscreensaver.git
-Rules-Requires-Root: no
+Rules-Requires-Root: binary-targets
 
 Package: xscreensaver
 Architecture: any
 Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gsfonts-x11 | xfonts-100dpi,
-            libjpeg-turbo-progs,
-            miscfiles | wordlist,
-            perl
+Recommends: libjpeg-turbo-progs,
+          miscfiles | wordlist,
+          perl,
+          fonts-urw-base35 | xfonts-100dpi
 Suggests: fortune,
           gdm3 | kdm-gdmcompat,
           qcam | streamer,
@@ -120,10 +116,9 @@
  mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
  phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
  rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
- squiral, starfish, strange, substrate, thornbird, triangle, truchet,
- twang, vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp,
- wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph,
- zoom.
+ squiral, starfish, strange, substrate, triangle, truchet, twang,
+ vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp, wormhole,
+ xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph, zoom.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-gl and xscreensaver-gl-extra packages.
@@ -141,18 +136,20 @@
  xscreensaver and also some other screensaver engines.
  .
  This is the set of GL screensavers shipped by default:
- antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d, circuit,
- cityflow, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
- dymaxionmap, endgame, energystream, engine, esper, etruscanvenus,
- flipflop, flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears,
- gflux, gibson, glblur, glcells, gleidescope, glknots, glmatrix,
- glschool, glslideshow, glsnake, gltext, headroom, hexstrut, hydrostat,
- hypertorus, jigglypuff, kaleidocycle, lavalite, lockward, maze3d,
- mirrorblob, moebius, moebiusgears, molecule, morph3d, peepers, pipes,
- polyhedra, polytopes, projectiveplane, pulsar, quasicrystal, queens,
- raverhoop, razzledazzle, romanboy, sierpinski3d, sonar, sphereeversion,
- spheremonics, splitflap, splodesic, stonerview, superquadrics,
- topblock, unicrud, vigilance, voronoi, winduprobot.
+ antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d,
+ chompytower, circuit, cityflow, covid19, crumbler, cubestack,
+ cubestorm, cubetwist, discoball, dymaxionmap, endgame, energystream,
+ engine, esper, etruscanvenus, flipflop, flipscreen3d, flyingtoasters,
+ gears, geodesic, geodesicgears, gflux, gibson, glblur, glcells,
+ gleidescope, glknots, glmatrix, glschool, glslideshow, glsnake,
+ gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
+ jigglypuff, kaleidocycle, lavalite, lockward, mapscroller, maze3d,
+ mirrorblob, moebius, moebiusgears, molecule, morph3d, nakagin,
+ peepers, pipes, polyhedra, polytopes, projectiveplane, pulsar,
+ quasicrystal, queens, raverhoop, razzledazzle, romanboy,
+ sierpinski3d, sonar, sphereeversion, spheremonics, splitflap,
+ splodesic, squirtorus, stonerview, superquadrics, topblock, unicrud,
+ vigilance, voronoi, winduprobot.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-data-extra and xscreensaver-gl-extra packages.

## xscreensaver 6.06+dfsg1

=== debian/changelog ===
xscreensaver (6.06+dfsg1-3+deb12u1) bookworm; urgency=medium

  * Add debian/patches/91_remove_version_upgrade_warnings.patch:
    - Avoid upstream upgrade warning appearing from 2024-05-04
    (Closes: #1069617)

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 21 Apr 2024 15:49:08 +0200

xscreensaver (6.06+dfsg1-3) unstable; urgency=medium

  * Add 02_dpms_prefs_lost.patch from upstream:
    - Fix DPMS settings being reset when opening preferences
  * Add 04_segfault_missing_visual.patch:
    - Avoid segfault if xscreensaver-gl is not installed
  * Add 06_wm_focus_crash.patch:
    - Avoid crash when opening preferences in some window managers
  * debian/rules: Fix wrong Catalan translation file encoding
  * debian/control: Add libwww-perl dependency for -gl package and
    correct dependencies for -bsod and -webcollage packages

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 03 Mar 2023 14:18:50 +0100

=== debian/control ===
--- 
+++ 
@@ -125,7 +125,10 @@
 
 Package: xscreensaver-gl
 Architecture: any
-Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
+Depends: libwww-perl,
+         libcap2-bin [linux-any],
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: xscreensaver
 Description: GL(Mesa) screen saver modules for screensaver frontends
  XScreenSaver is a modular screen saver and locker for X11,
@@ -180,7 +183,10 @@
 
 Package: xscreensaver-screensaver-webcollage
 Architecture: any
-Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
+Depends: libwww-perl,
+         xscreensaver-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Webcollage screen saver module from XScreenSaver
  This package ships the mode webcollage which displays images from random
  web searches on the Internet.
@@ -191,7 +197,9 @@
 
 Package: xscreensaver-screensaver-bsod
 Architecture: any
-Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
+Depends: xscreensaver-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: BSOD screen saver module from XScreenSaver
  This package ships the mode BSOD that shows the popular Blue Screens of Death
  from several OSes including BSD, Windows, Linux, Solaris, Apple and much more.

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,18 @@
 # Includes hardening compile options
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Add cpu time statistics to verbose output
+export DEB_CFLAGS_MAINT_APPEND = -DLOG_CPU_TIME
+
 %:
 	dh $@ --without autoreconf
 
 override_dh_auto_configure:
+	# copy in our free font replacement
+	cp debian/OCRAStd.otf hacks/fonts
+	# fix up Catalan translation file
+	[ -f ca.po.orig ] || cp -p po/ca.po ca.po.orig
+	iconv -f ISO8859-1 -t UTF-8 -o po/ca.po ca.po.orig
 	# Generate POT file for translators
 	cd po && intltool-update --verbose -p && cd ..
 
@@ -27,7 +35,7 @@
 	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
 	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream
 	# Configure for xscreensaver
-	./configure --prefix=/usr \
+	dh_auto_configure -- \
 		--without-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -37,7 +45,7 @@
 		--with-proc-interrupts
 	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
 	# Configure for xscreensaver-gl
-	./configure --prefix=/usr \
+	dh_auto_configure -- \
 		--with-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -52,12 +60,15 @@
 	  mv driver/XScreenSaver_ad.h.upstream driver/XScreenSaver_ad.h
 	[ ! -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
 	  mv driver/XScreenSaver_Xm_ad.h.upstream driver/XScreenSaver_Xm_ad.h
+	# restore original non-UTF8 Catalan translation file
+	[ ! -f ca.po.orig ] || mv ca.po.orig po/ca.po
 	dh_auto_clean
 
 override_dh_auto_install:
 	ln -sf README NEWS
 	dh_auto_install -- install_prefix=$(CURDIR)/debian/tmp \
-		GTK_DATADIR=/usr/share KDEDIR=/usr
+		GTK_DATADIR=/usr/share KDEDIR=/usr \
+		UPDATE_ICON_CACHE=:
 	# Install .desktop files used by gnome-screensaver etc
 	mkdir -p debian/tmp/usr/share/applications/screensavers
 	cp debian/screensavers-desktop-files/*.desktop \
@@ -90,9 +101,11 @@
 	install -D -m 644 driver/XScreenSaver.ad-nogl \
 		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
 
+override_dh_fixperms-arch:
+	dh_fixperms
+	chmod 4755 debian/xscreensaver/usr/libexec/xscreensaver/xscreensaver-auth
+	chmod -x debian/xscreensaver/usr/share/xscreensaver/xscreensaver.desktop
+	chmod -x debian/xscreensaver/usr/share/applications/xscreensaver-settings.desktop
+
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, \
 compression=xz, \
 repacksuffix=+dfsg1" \
https://www.jwz.org/xscreensaver/download.html xscreensaver-(.*)\.tar\.gz
#https://www.jwz.org/xscreensaver/xscreensaver-(.*)\.tar\.gz

## xscreensaver 6.08+dfsg1

=== debian/changelog ===
xscreensaver (6.08+dfsg1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 23 Apr 2024 20:57:26 +0200

xscreensaver (6.08+dfsg1-1) unstable; urgency=medium

  * New upstream release 6.08, changes since 6.06:
    - New hacks, droste, skulloop, papercube and cubocteversion.
    - Log pid of caller of deactivate command, to give a hint about
      who is preventing the screen from blanking.
    - recanim uses libffmpeg.
    - Updates to sphereeversion.
    - Added some new map sources to mapscroller.
    - Minimum compiler target is now ISO C99 instead of ANSI C89.
    - Various other minor bug fixes.
  * Add upstreamed patch for build warning:
    debian/patches/14_upstream_fireworkx_uninitialized_var.patch
  * Dropped patches:
    - 02_dpms_prefs_lost.patch (upstream)
    - 90_remove_Easter_egg_about_version.patch (obsolete)
  * Made all patch metadata conform to DEP-3
  * debian/copyright: Add stanza for new OCRA.ttf font file
  * Drop previous font replacement (Closes: #1049076)
  * Move xscreensaver-gl-visual to xscreensaver package because
    the daemon requires it for launching any screen hack
  * xscreensaver package now Recommends: xscreensaver-gl
  * debian/control: Build-depends on pkgconf instead of pkg-config

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 21 Feb 2024 09:40:55 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libxt-dev,
                libxtst-dev,
                libxxf86vm-dev,
-               pkg-config,
+               pkgconf,
                quilt,
                x11proto-core-dev,
                xbitmaps,
@@ -41,6 +41,7 @@
 Architecture: any
 Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libjpeg-turbo-progs,
+          xscreensaver-gl,
           miscfiles | wordlist,
           perl,
           fonts-urw-base35 | xfonts-100dpi
@@ -51,8 +52,9 @@
           xdaliclock,
           xfishtank,
           xscreensaver-data-extra,
-          xscreensaver-gl,
           xscreensaver-gl-extra
+Breaks: xscreensaver-gl (<< 6.08+dfsg1-1)
+Replaces: xscreensaver-gl
 Description: Screensaver daemon and frontend for X11
  XScreenSaver is a modular screen saver and locker for X11,
  containing more than 200 screen savers.
@@ -81,8 +83,8 @@
  .
  This is the selected set of non-GL screensavers shipped by default:
  abstractile, binaryhorizon, binaryring, cwaves, deco, distort,
- fiberlamp, fuzzyflakes, galaxy, hexadrop, m6502, marbling, metaballs,
- penrose, ripples, scooter, shadebobs, slidescreen, swirl,
+ droste, fiberlamp, fuzzyflakes, galaxy, hexadrop, m6502, marbling,
+ metaballs, penrose, ripples, scooter, shadebobs, slidescreen, swirl,
  tessellimage, xlyap.
  .
  More display modes can be found in xscreensaver-data-extra,
@@ -130,6 +132,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: xscreensaver
+Breaks: xscreensaver (<< 6.08+dfsg1-1)
 Description: GL(Mesa) screen saver modules for screensaver frontends
  XScreenSaver is a modular screen saver and locker for X11,
  containing more than 200 screen savers.
@@ -141,16 +144,16 @@
  This is the set of GL screensavers shipped by default:
  antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d,
  chompytower, circuit, cityflow, covid19, crumbler, cubestack,
- cubestorm, cubetwist, discoball, dymaxionmap, endgame, energystream,
- engine, esper, etruscanvenus, flipflop, flipscreen3d, flyingtoasters,
- gears, geodesic, geodesicgears, gflux, gibson, glblur, glcells,
- gleidescope, glknots, glmatrix, glschool, glslideshow, glsnake,
- gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
+ cubestorm, cubetwist, cubocteversion, discoball, dymaxionmap, endgame,
+ energystream, engine, esper, etruscanvenus, flipflop, flipscreen3d,
+ flyingtoasters, gears, geodesic, geodesicgears, gflux, gibson, glblur,
+ glcells, gleidescope, glknots, glmatrix, glschool, glslideshow,
+ glsnake, gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
  jigglypuff, kaleidocycle, lavalite, lockward, mapscroller, maze3d,
  mirrorblob, moebius, moebiusgears, molecule, morph3d, nakagin,
- peepers, pipes, polyhedra, polytopes, projectiveplane, pulsar,
- quasicrystal, queens, raverhoop, razzledazzle, romanboy,
- sierpinski3d, sonar, sphereeversion, spheremonics, splitflap,
+ papercube, peepers, pipes, polyhedra, polytopes, projectiveplane,
+ pulsar, quasicrystal, queens, raverhoop, razzledazzle, romanboy,
+ sierpinski3d, skulloop, sonar, sphereeversion, spheremonics, splitflap,
  splodesic, squirtorus, stonerview, superquadrics, topblock, unicrud,
  vigilance, voronoi, winduprobot.
  .

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 	dh $@ --without autoreconf
 
 override_dh_auto_configure:
-	# copy in our free font replacement
-	cp debian/OCRAStd.otf hacks/fonts
 	# fix up Catalan translation file
 	[ -f ca.po.orig ] || cp -p po/ca.po ca.po.orig
 	iconv -f ISO8859-1 -t UTF-8 -o po/ca.po ca.po.orig

## xscreensaver 6.09+dfsg1

=== debian/changelog ===
xscreensaver (6.09+dfsg1-0.1~mx21+1) mx; urgency=medium

  [ Steven Pusser ]
  * Rebuild for MX Linux.
  * Make xscreensaver's recommended packages explicit dependencies.

  [ Tormod Volden ]
  * New upstream release 6.09
    - New hacks, kallisti and highvoltage.
    - Formal-wear for headroom.
    - bsod hack includes secure boot failure
    - Many descriptions and URLs updated
    - m6502 and popsquares man pages added
    - Reading files more robust against SIGCHLD firing
  * Drop patch applied upstream:
    - 14_upstream_fireworkx_uninitialized_var.patch
  * Add debian/patches/22_man_page_systemd_install.patch:
    - The systemd unit file is already installed (Closes: #1037434)
  * d/control: Set Rules-Requires-Root: no to avoid fakeroot deps
    - Thanks to Niels Thykier
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Mar 2025 14:32:01 -0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               bc,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Build-Depends: bc,
+               debhelper-compat (= 12),
                fortune-mod,
                intltool,
                libcap-dev [linux-any],
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgl-dev,
                libgle-dev,
                libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
                libgtk-3-dev,
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libjpeg-dev,
                libpam0g-dev,
                libpng-dev,
@@ -31,20 +32,20 @@
                x11proto-core-dev,
                xbitmaps,
                xutils-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.jwz.org/xscreensaver/
 Vcs-Browser: https://salsa.debian.org/debian/xscreensaver
 Vcs-Git: https://salsa.debian.org/debian/xscreensaver.git
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 
 Package: xscreensaver
 Architecture: any
-Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libjpeg-turbo-progs,
-          xscreensaver-gl,
-          miscfiles | wordlist,
-          perl,
-          fonts-urw-base35 | xfonts-100dpi
+Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends},
+            fonts-urw-base35 | xfonts-100dpi,
+            libjpeg-turbo-progs,
+            miscfiles | wordlist,
+            perl,
+            xscreensaver-gl
 Suggests: fortune,
           gdm3 | kdm-gdmcompat,
           qcam | streamer,
@@ -127,8 +128,8 @@
 
 Package: xscreensaver-gl
 Architecture: any
-Depends: libwww-perl,
-         libcap2-bin [linux-any],
+Depends: libcap2-bin [linux-any],
+         libwww-perl,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: xscreensaver
@@ -148,14 +149,14 @@
  energystream, engine, esper, etruscanvenus, flipflop, flipscreen3d,
  flyingtoasters, gears, geodesic, geodesicgears, gflux, gibson, glblur,
  glcells, gleidescope, glknots, glmatrix, glschool, glslideshow,
- glsnake, gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
- jigglypuff, kaleidocycle, lavalite, lockward, mapscroller, maze3d,
- mirrorblob, moebius, moebiusgears, molecule, morph3d, nakagin,
- papercube, peepers, pipes, polyhedra, polytopes, projectiveplane,
- pulsar, quasicrystal, queens, raverhoop, razzledazzle, romanboy,
- sierpinski3d, skulloop, sonar, sphereeversion, spheremonics, splitflap,
- splodesic, squirtorus, stonerview, superquadrics, topblock, unicrud,
- vigilance, voronoi, winduprobot.
+ glsnake, gltext, headroom, hexstrut, hextrail, highvoltage, hydrostat,
+ hypertorus, jigglypuff, kaleidocycle, kallisti, lavalite, lockward,
+ mapscroller, maze3d, mirrorblob, moebius, moebiusgears, molecule,
+ morph3d, nakagin, papercube, peepers, pipes, polyhedra, polytopes,
+ projectiveplane, pulsar, quasicrystal, queens, raverhoop, razzledazzle,
+ romanboy, sierpinski3d, skulloop, sonar, sphereeversion, spheremonics,
+ splitflap, splodesic, squirtorus, stonerview, superquadrics, topblock,
+ unicrud, vigilance, voronoi, winduprobot.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-data-extra and xscreensaver-gl-extra packages.
@@ -186,10 +187,7 @@
 
 Package: xscreensaver-screensaver-webcollage
 Architecture: any
-Depends: libwww-perl,
-         xscreensaver-data,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libwww-perl, xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
 Description: Webcollage screen saver module from XScreenSaver
  This package ships the mode webcollage which displays images from random
  web searches on the Internet.
@@ -200,9 +198,7 @@
 
 Package: xscreensaver-screensaver-bsod
 Architecture: any
-Depends: xscreensaver-data,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
 Description: BSOD screen saver module from XScreenSaver
  This package ships the mode BSOD that shows the popular Blue Screens of Death
  from several OSes including BSD, Windows, Linux, Solaris, Apple and much more.

=== debian/rules ===
--- 
+++ 
@@ -107,3 +107,8 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
